libart-2.0-2_2.3.21-2_amd64.deb


Advertisement

Description

libart-2.0-2 - Library of functions for 2D graphics - runtime files

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libart-2.0-2_2.3.21-2_amd64.deb
Package name libart-2.0-2
Package version 2.3.21
Package release 2
Package architecture amd64
Package type deb
Category libs
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 55.58 KB
Installed size 153.00 KB
A library of functions for 2D graphics supporting a superset of the
PostScript imaging model, designed to be integrated with graphics, artwork,
and illustration programs. It is written in optimized C, and is fully
compatible with C++. With a small footprint of 10,000 lines of code, it is
especially suitable for embedded applications.

Alternatives

Package Version Architecture Repository
libart-2.0-2_14.0.6-0ubuntu16.04.0+0_i386.deb 14.0.6 i386 Trinity R14
libart-2.0-2_14.0.6-0ubuntu16.04.0+0_amd64.deb 14.0.6 amd64 Trinity R14
libart-2.0-2_2.3.21-2_i386.deb 2.3.21 i386 Ubuntu Main
libart-2.0-2 - - -

Requires

Name Value
libc6 >= 2.14
multiarch-support -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libart-2.0-2_2.3.21-2_amd64.deb
Source Package libart-lgpl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libart-2.0-2 deb package:
    # sudo apt-get install libart-2.0-2

Files

Path
/usr/lib/x86_64-linux-gnu/libart_lgpl_2.so.2
/usr/lib/x86_64-linux-gnu/libart_lgpl_2.so.2.3.21
/usr/share/doc/libart-2.0-2/AUTHORS
/usr/share/doc/libart-2.0-2/NEWS.gz
/usr/share/doc/libart-2.0-2/README
/usr/share/doc/libart-2.0-2/changelog.Debian.gz
/usr/share/doc/libart-2.0-2/copyright

Changelog

2012-06-17 - Michael Biebl <biebl@debian.org>
libart-lgpl (2.3.21-2) unstable; urgency=low
* Use dpkg source format 3.0 (quilt).
* Drop debian/patches/70_relibtoolize.patch and use dh-autoreconf instead to
update the build system.
* Bump debhelper compat level to 9.
* Stip debian/tmp/ from .install files.
* Convert to multiarch. Closes: #661714
* Drop libtool .la file.
* Add Vcs-* fields.
* Bump Standards-Version to 3.9.3.
* Add symbols file for libart-2.0-2.
2010-04-25 - Sebastian Dröge <slomo@debian.org>
libart-lgpl (2.3.21-1) unstable; urgency=low
[ Loic Minier ]
* Properly anchor package name regexp.
[ Sebastian Dröge ]
* New upstream bugfix release:
+ debian/control.in:
- Update Standards-Version and build-depend on autotools-dev.
+ debian/patches/70_relibtoolize.patch:
- Regenerated for the new version.
2008-05-03 - Loic Minier <lool@dooz.org>
libart-lgpl (2.3.20-2) unstable; urgency=low
* Let libart-2.0-dev depend on shlibs:Depends.
* Extract library package name from control instead of hardcoding it in
rules.
* New patch, 60_libart-config-static, adds --static flag to libart2-config
to avoid -lm in the output of --libs; please consider switching to
pkg-config instead; GNOME #531278; closes: #375812.
* Fix copyright to state LGPL 2 or later as checked with licensecheck;
thanks Thomas Viehmann; closes: #478766.
2008-01-30 - Sebastian Dröge <slomo@debian.org>
libart-lgpl (2.3.20-1) unstable; urgency=low
[ Kilian Krause ]
* Use binary:version and source:Version for binNMU-safe uploads as
added in dpkg-dev 1.13.19. Add to Build-Depends accordingly.
[ Sebastian Dröge ]
* New upstream bugfix release:
+ debian/patches/90_fix-headers-for-cplusplus.patch:
- Dropped, merged upstream.
+ debian/patches/70_relibtoolize.patch:
- Regenerated for the new version.
* debian/control.in:
+ Update Standards-Version to 3.7.3, no additional changes needed.
2007-04-11 - Loic Minier <lool@dooz.org>
libart-lgpl (2.3.19-3) unstable; urgency=low
* Upload to unstable; drop check-dist include.
* Wrap build-deps and deps.
* Drop libc6-dev dep in libart-2.0-dev.
* Add ${misc:Depends}.
2007-04-03 - Loic Minier <lool@dooz.org>
libart-lgpl (2.3.19-2) experimental; urgency=high
* Use clean-la.mk and require gnome-pkg-tools 0.7.
* New patch, 90_fix-headers-for-cplusplus.patch, fixes linking with C++
applications; GNOME #413197; SVN r278; closes: #417568.
* Rename patch 070_relibtoolize to 70_relibtoolize.
2007-02-28 - Loic Minier <lool@dooz.org>
libart-lgpl (2.3.19-1) experimental; urgency=low
* Add a get-orig-source target to retrieve the upstream tarball.
* Add complete licensing information in copyright file.
* Update upstream URL in copyright file.
* Bump up Standards-Version to 3.7.2.
* Use debian/libart-2.0-dev.manpages instead of
DEB_INSTALL_MANPAGES_libart-2.0-dev.
* Use HTTP in watch file and track all branches.
* Include CDBS's utils.
* New upstream releases with API additions.
- Include the new check-dist Makefile to prevent accidental uploads to
unstable; bump build-dep on gnome-pkg-tools to >= 0.10.
- Set shlibs to >= 2.3.18.
- Update and rename relibtoolizing patch, 070_relibtoolize.
* Drop useless libart-2.0-dev.files.
* Drop build-dep on libc6-dev | libc-dev; doh.
* Bump up DebHelper compatibility level to 5.
2005-01-25 - Sebastien Bacher <seb128@debian.org>
libart-lgpl (2.3.17-1) unstable; urgency=low
* GNOME Team Upload.
* New upstream release.
* debian/patches/001_relibtoolize.patch:
- updated.
* debian/watch:
- added.
2004-07-21 - Ondřej Surý <ondrej@debian.org>
libart-lgpl (2.3.16-6) unstable; urgency=low
* Relibtoolize (Closes: #260639)
2004-04-19 - Ondřej Surý <ondrej@debian.org>
libart-lgpl (2.3.16-5) unstable; urgency=low
* Set shlibs version to current.

See Also

Package Description
libart-2.0-dev_2.3.21-2_amd64.deb Library of functions for 2D graphics - development files
libasan2-arm64-cross_5.3.1-14ubuntu2cross1_all.deb AddressSanitizer -- a fast memory error detector
libasan2-armhf-cross_5.3.1-14ubuntu2cross1_all.deb AddressSanitizer -- a fast memory error detector
libasan2-powerpc-cross_5.3.1-14ubuntu2cross1_all.deb AddressSanitizer -- a fast memory error detector
libasan2-ppc64el-cross_5.3.1-14ubuntu2cross1_all.deb AddressSanitizer -- a fast memory error detector
libasan2_5.3.1-14ubuntu2_amd64.deb AddressSanitizer -- a fast memory error detector
libasm-dev_0.165-3ubuntu1_amd64.deb libasm development libraries and header files
libasm1_0.165-3ubuntu1_amd64.deb library with a programmable assembler interface
libasn1-8-heimdal_1.7~git20150920+dfsg-4ubuntu1_amd64.deb Heimdal Kerberos - ASN.1 library
libasound2-data_1.1.0-0ubuntu1_all.deb Configuration files and profiles for ALSA drivers
libasound2-dev_1.1.0-0ubuntu1_amd64.deb shared library for ALSA applications -- development files
libasound2-doc_1.1.0-0ubuntu1_all.deb documentation for user-space ALSA application programming
libasound2-plugins_1.1.0-0ubuntu1_amd64.deb ALSA library additional plugins
libasound2_1.1.0-0ubuntu1_amd64.deb shared library for ALSA applications
libaspell-dev_0.60.7~20110707-3build1_amd64.deb Development files for applications with GNU Aspell support
Advertisement
Advertisement